Bug 155133 - Icons in Oxygen appear twice in QToolBox
Summary: Icons in Oxygen appear twice in QToolBox
Status: RESOLVED FIXED
Alias: None
Product: Oxygen
Classification: Unclassified
Component: style (show other bugs)
Version: 4.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Maksim Orlovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-05 13:13 UTC by Carsten Niehaus
Modified: 2008-02-09 11:20 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Icons appear twice (11.89 KB, image/png)
2008-01-05 13:14 UTC, Carsten Niehaus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carsten Niehaus 2008-01-05 13:13:30 UTC
Version:           KDE 4.0.0 (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

See attached screenshot.

This was confirmed in IRC. Using another style like this:

   kalzium --style="plastique"

Makes it work (obviously with the other style)
Comment 1 Carsten Niehaus 2008-01-05 13:14:15 UTC
Created attachment 22844 [details]
Icons appear twice
Comment 2 Kushal Das 2008-01-05 13:22:59 UTC
This is coming for me also
Comment 3 Anne-Marie Mahfouf 2008-01-05 13:24:53 UTC
Confirmed for me as well, Motif style displays the icon normally!
Oxygen-related bug.
Comment 4 Camilla Boemann 2008-01-22 02:43:17 UTC
Changed title to reflect the correct widget
Comment 5 Camilla Boemann 2008-02-09 11:20:34 UTC
SVN commit 772648 by boemann:

Apply patch by David Benjamin fixing LTR layout of QToolBox
he gave me two options and i chose the one that mirrored the sloping 
divider.
It also fixes icons from appearing twice in QToolBox

Thanks David

BUG:157471
BUG:155133


 M  +7 -2      helper.cpp  
 M  +24 -22    oxygen.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=772648